
#ifndef _CADEBUG_
#include "CADebug.h"
#endif

#ifndef _CASESSN_
#include "CASessn.h"
#endif

#include <string.h>
#include <stdio.h>
#include <stdarg.h>


TCATracer*	gCATracer;

void CADebugStr (char* routineName, char* message)
{
char		mesg[255];

	strcpy (&mesg[1], routineName);
	strcat (&mesg[1], " - ");
	strcat (&mesg[1], message);
	
	mesg[0] = (char) strlen (&mesg[1]);

	DebugStr ((StringPtr) mesg);
	
}

Boolean IsValidCADocumentRef (CADocumentRef document)
{

	Boolean result;
	
	result = gCASession->HaveCADocumentRef (document);
	
	if (!result)
	{
	
		if (((CADocumentRef) gCASession->GetCAClipboardDocument() == document) ||
			((CADocumentRef) gCASession->GetCADragDropDocument() == document))
		{
			result = true;
		}
	
	}
	
	return (result);
	

}

TCATracer::TCATracer (FSSpec* spec, Boolean flushLog)
{
FInfo	ignore;

	if (spec == NULL)
	{
		FSMakeFSSpec (0, 2, "\pCALib Trace Log", &fLogSpec);
	}
	else
	{
		fLogSpec = *spec;
	}
	
	if (FSpGetFInfo (&fLogSpec, &ignore))
	{
		FSpCreate (&fLogSpec, 'ttxt', 'TEXT', 0);
	}
	
	FSpOpenDF (&fLogSpec, fsRdWrPerm, &fLogRefNum);
	
	if (flushLog)
		SetEOF (fLogRefNum, 0);
		
}



TCATracer::~TCATracer()
{
	FSClose (fLogRefNum);
}


void TCATracer::Log (char* message)
{
long	count;
char	eol[2];
long	eof;


	FSpOpenDF (&fLogSpec, fsRdWrPerm, &fLogRefNum);
	GetEOF (fLogRefNum, &eof);
	SetFPos (fLogRefNum, fsFromStart, eof);
	
	count = strlen (message);

	FSWrite (fLogRefNum, &count, message);
	
	count = 1;
	eol[0] = 0x0D;
	FSWrite (fLogRefNum, &count, eol);
	
	FSClose(fLogRefNum);
	
	
}

void _Trace(short traceLevel, char *fmt, ... )
{
	if (traceLevel >= TRACELEVEL)
	{
	
		char msg[512];
		strcpy(msg, "Log: ");
		va_list args;
		va_start(args,fmt);
		vsprintf(msg+strlen(msg),fmt,args);
		va_end(args);
		strcat (msg, "");
		
		gCATracer->Log (msg);
	
	}
}









