/*
	File:		CAError.cpp

	Contains:	CALib error handling routines

	Written by:	Rick Badertscher

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <0>	 8/15/95	RB		Moved methods from CACommon.cpp
	To Do:
*/

#ifndef _CAERRORL_
#include "CAError.h"
#endif

#include <Crawl.h>

#pragma segment CALib


OSErr				gCAError;
CAErrorProc			gCAErrorProc = NULL;


//===========================================================================
#pragma mark '		CALib Error Handling
//===========================================================================

//-------------------------------------------------------------------------
//	Error reporting 
//-------------------------------------------------------------------------

pascal OSErr CAError( void )
{
	return gCAError;
}

//-------------------------------------------------------------------------

pascal CAErrorProc CASetErrorProc( CAErrorProc proc )
{
	CAErrorProc oldProc = gCAErrorProc;
	gCAErrorProc = proc;
	return oldProc;
}


//-------------------------------------------------------------------------

void
ClearCAError( void )
{
	gCAError = noErr;
}

//-------------------------------------------------------------------------

void SetCAError( OSErr err )
{
	gCAError = err;

	if (gCAErrorProc != nil)
	{
#ifdef USE_CRAWL
		DebugStr ("\pTHROW BREAK");
		StackCrawl *c = StackCrawl::New(1,1);
		delete c;
		//GetNameOfCaller(gFrameNameBuf);
#endif
		(*gCAErrorProc)( err, NULL );	
	}

}


