/*
	File:		CALib.r

	Contains:	'cfrg' resources for CALib & CAProxyPart

	Created by:	Steve Foley

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <1>	 2/27/95	SJF		first checked in
		 <0>	 2/15/95	SJF		first written
		 
	To Do:
		implement

*/

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable
#define	PowerPC				1			// We only do PowerPC for now...

#include "Types.r"
#include "CodeFragmentTypes.r"


#ifndef __STDTYPES_R__
	#include "StdTypes.r"
#endif //__STDTYPES_R__

#ifndef SOM_Module_OpenDoc_StdDefs_defined
	#include "StdDefs.h"
#endif //SOM_Module_OpenDoc_StdDefs_defined

#ifndef _CAPROXYPARTDEF_
	#define	 WERE_REZZING_NOW
	#include "CAProxyPartDef.h"
#endif //_CAPROXYPARTDEF_


//-------------------------------------------------------------------------------------
// cfrg Resource
//-------------------------------------------------------------------------------------

// Adkins - added a new cfrg resource to be conditionally Rezed for CFM68K 

#ifdef PowerPC

resource 'cfrg' (0) {
	{	/* array memberArray: 1 elements */
		/* [1] */
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"CALib"
	}
};

#else

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
		kMotorola,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"CALib"
	}
};

#endif
