/*
	File:		CAProxyPart.r

	Contains:	Resources for CAProxyPart

	Created by:	Steve Foley

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3+>	 2/28/95	SJF		Fix 'cfrg' definition to reflect CAProxyPart entity
		 <3>	 2/13/95	SJF		Interim checkin to update project database
		 <0>	10/16/94	SJF		first written
		 
	To Do:
		implement

*/

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable
#define	PowerPC				1			// We only do PowerPC for now...

#include "Types.r"
#include "CodeFragmentTypes.r"


#ifndef __ODTYPES_R__
	#include "ODTypes.r"
#endif //__ODTYPES_R__

#ifndef SOM_Module_OpenDoc_StdDefs_defined
	#include "StdDefs.h"
#endif //SOM_Module_OpenDoc_StdDefs_defined

#ifndef _CAPROXYPARTDEF_
	#define	 WERE_REZZING_NOW
	#include "CAProxyPartDef.h"
#endif //_CAPROXYPARTDEF_


//-------------------------------------------------------------------------------------
// cfrg Resource
//-------------------------------------------------------------------------------------

// Adkins - added a new cfrg resource to be conditionally Rezed for CFM68K 

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
#ifdef _68KBUILD_
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kCAProxyPartID,
		/* [2] */
#ifdef _68KBUILD_
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"som_CAProxyPart"
	}
};

//-------------------------------------------------------------------------------------
// NMAP Resources
//-------------------------------------------------------------------------------------


resource kODNameMappings (kNMAPid1) {
	kODKind,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kCAProxyPartKind,
		kODIsAnISOStringList {
			/* array ValueList: 1 elements */
			/* [1] */
			{
				kCAProxyPartCategory
			}
		}
	}
};

//resource kODNameMappings (kKindCategoryMapId) {
//	kODKind,
//	{	/* array KeyList: 1 elements */
		/* [1] */
//		kCAProxyPartKind,
//		kODIsAnISOStringList {
			/* array ValueList: 1 elements */
			/* [1] */
//			{
//				kCAProxyPartCategory
//			}
//		}
//	}
//};


resource kODNameMappings (kNMAPid2) {
	kODEditorKinds,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kCAProxyPartID,
		kODIsAnISOStringList {
			/* array ValueList: 1 elements */
			/* [1] */
			{
				kCAProxyPartKind
			}
		}
	}
};

//resource kODNameMappings (kEditorKindMapId) {
//	kODEditorKinds,
//	{	/* array KeyList: 1 elements */
		/* [1] */
//		kCAProxyPartID,
//		kODIsAnISOStringList {
			/* array ValueList: 1 elements */
			/* [1] */
//			{
//				kCAProxyPartKind
//			}
//		}
//	}
//};




// User visible strings must be International Text
resource kODNameMappings (kNMAPid3) {
	kODEditorUserString,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kCAProxyPartID,
		kODIsINTLText {
			smRoman,
			langEnglish,
			kCAProxyPartEditorUserString
		}
	}
};

//resource kODNameMappings (kEditorUserStringMapId) {
//	kODEditorUserString,
//	{	/* array KeyList: 1 elements */
		/* [1] */
//		kCAProxyPartID,
//		kODIsINTLText {
//			smRoman,
//			langEnglish,
//			kCAProxyPartEditorUserString
//		}
//	}
//};


resource kODNameMappings (kNMAPid4) {
	kODKindUserString,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kCAProxyPartKind,
		kODIsINTLText {
			smRoman,
			langEnglish,
			kCAProxyPartKindUserString
		}
	}
};

//resource kODNameMappings (kKindUserStringMapId) {
//	kODKindUserString,
//	{	/* array KeyList: 1 elements */
		/* [1] */
//		kCAProxyPartKind,
//		kODIsINTLText {
//			smRoman,
//			langEnglish,
//			kCAProxyPartKindUserString
//		}
//	}
//};


resource kODNameMappings (kNMAPid5) {
	kODCategoryUserString,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kCAProxyPartCategory,
		kODIsINTLText {
			smRoman,
			langEnglish,
			kCAProxyPartCategoryUserString
		}
	}
};

//resource kODNameMappings (kCategoryUserStringMapId) {
//	kODCategoryUserString,
//	{	/* array KeyList: 1 elements */
		/* [1] */
//		kCAProxyPartCategory,
//		kODIsINTLText {
//			smRoman,
//			langEnglish,
//			kCAProxyPartCategoryUserString
//		}
//	}
//};


resource kODNameMappings (kNMAPid6) {
	kODKindOldMacOSType,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kCAProxyPartKind,
		kODIsMacOSType {
			kCAProxyPartOSType
		}
	}
};

//resource kODNameMappings (kOldMacOSTypeMapId) {
//	kODKindOldMacOSType,
//	{	/* array KeyList: 1 elements */
		/* [1] */
//		kCAProxyPartKind,
//		kODIsMacOSType {
//			kCAProxyPartOSType
//		}
//	}
//};


