/*
 File:		CAProxyPartDef.h

 Contains:	CAProxyPart Common constants used by .cpp & .r file

 Written by:	PartMaker 

	Change History (most recent first):

		 <7>	  11/10/95	RB		Added kCAPropEmbeddedFrames
		 <6>	  4/7/95	SJF		Change conditional label to
									_ALLOCATE_STORAGE_
		 <5>	 3/15/95	SJF		Revise declaration of constant strings so
									they can be shared by multiple files
		 <3+>	 2/13/95	SJF		Reset string definitions to "CAProxyPart" from "CALib"
		 <3>	 2/13/95	SJF		Interim checkin to update project database
		 <0>	11/16/94	SJF		first written
		 
	To Do:
		implement
*/

#ifndef _CAPROXYPARTDEF_
#define _CAPROXYPARTDEF_


// Kind
#define kCAProxyPartKind "Apple:Kind:CAProxyPart"

// Category
#define kCAProxyPartCategory kODCategoryUtility

// Class ID / Editor [Used by ASLM]
#define kCAProxyPartID "Utility::som_CAProxyPart"

// Editor User String
#define kCAProxyPartEditorUserString "CAProxyPart 1.0"

// Kind User String
#define kCAProxyPartKindUserString "CAProxyPart"

// Category User String
#define kCAProxyPartCategoryUserString "Utility"

// CAProxyPart OSType
#define kCAProxyPartOSType 'PRXY'

#define	kNMAPid						127
#define kKindCategoryMapId			kNMAPid+1
#define kEditorKindMapId			kNMAPid+2
#define kEditorUserStringMapId		kNMAPid+3
#define kKindUserStringMapId		kNMAPid+4
#define kCategoryUserStringMapId	kNMAPid+5
#define kOldMacOSTypeMapId			kNMAPid+6

#define kNMAPid1 128
#define kNMAPid2 129
#define kNMAPid3 130
#define kNMAPid4 131
#define kNMAPid5 132
#define kNMAPid6 133


// The "Picture" menu's resource and menu ID:
#define kMenuID               5000

// About box Alert ID
#define kCAProxyPartAboutBoxID  5000

#define 	kCAProxyPartPresNormal		"CAProxyPart:Presentation:Normal"
#define 	kCAProxyPartExtension		"CAProxyPart:Extension:CALib:"
#define 	kCAPropEmbeddedFrames		"CAProxyPart::EmbeddedFrames"
		

#endif
