/*
	File:		CAUndo.cpp

	Contains:	Container Application Library source - Undo interface

	Written by:	Steve Foley, Greg Ames, David Nelson

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <5>	 4/14/95	SJF		Implemented ClearUndo
		 <3+>	 4/13/95	SJF		Implement ClearUndo
		 <3+>	 2/28/95	SJF		Add debug stuff to API calls
		 <3>	 2/13/95	SJF		Interim checkin to update project database
		 <2)	12/15/94	SJF		change somGetGlobalEnvironment to _gpProxyShell->GetGlobalEnvironment
		 <1>	10/30/94	GCA,DHN	All mods to make project compile with no
		 							errors under OpenDoc b1 (with SOM).
		 <0>	10/16/94	SJF		first written
		 
	To Do:
		implement
*/

#ifndef _CASESSN_
#include "CASessn.h"
#endif

#ifndef _CAERROR_
#include "CAError.h"
#endif

#ifndef SOM_ODUndo_xh
#include <Undo.xh>
#endif

#pragma segment CALib


//-------------------------------------------------------------------------
// Undo ***
//-------------------------------------------------------------------------

pascal	void		CAClearUndo( void )
{
	Environment*	ev		= gCASession->GetEV();
   	ODUndo*			undo	= gCASession->GetODSession()->GetUndo(ev);

	CA_TRY
   		undo->ClearActionHistory( ev, kODDontRespectMarks );
   	CA_CATCH_ALL
   	CA_ENDTRY
   	
}




